%define git_url git://anongit.freedesktop.org/xorg/driver/xf86-video-ati 6.12-branch

Name: x11-driver-video-ati
Version: 6.13.99
Release: %mkrel 0.20101217.1
Epoch: 1
Summary: X.org driver for ATI Technologies
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-ati-%{version}.tar.xz

License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libdrm-devel >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0
Conflicts: x11-driver-video-ati_6.7

Suggests: x11-driver-video-r128
Suggests: x11-driver-video-mach64

%description
x11-driver-video-ati is the X.org driver for ATI Technologies.

Experimental support for Evergreen acceleration.
What's needed:
- "options radeon modeset=1" in /etc/modprobe.conf
- kernel >= 2.6.36
- kernel with CONFIG_DRM_RADEON_KMS=y (aka tmb kernels)
Status:
- KMS works


%prep
%setup -q -n xf86-video-ati-%{version}
%apply_patches

%build
autoreconf -ifs
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/radeon_drv.la
%{_libdir}/xorg/modules/drivers/radeon_drv.so
%{_libdir}/xorg/modules/drivers/ati_drv.la
%{_libdir}/xorg/modules/drivers/ati_drv.so
%{_libdir}/xorg/modules/multimedia/theatre200_drv.la
%{_libdir}/xorg/modules/multimedia/theatre200_drv.so
%{_libdir}/xorg/modules/multimedia/theatre_detect_drv.la
%{_libdir}/xorg/modules/multimedia/theatre_detect_drv.so
%{_libdir}/xorg/modules/multimedia/theatre_drv.la
%{_libdir}/xorg/modules/multimedia/theatre_drv.so
%{_mandir}/man4/ati.*
%{_mandir}/man4/radeon.*


%changelog
* Tue Dec 21 2010 Thomas Backlund <tmb@mandriva.org> 1:6.13.99-0.20101217.1mdv2011.0
+ Revision: 623717
- update to 2010-12-17 snapshot
- update to 2010-12-08 snapshot
- update to 2010-11-19 snapshot
- update to 2010-11-17 snapshot
- update to 2010-10-29 snapshot
- update to 6.13.99 snapshot (Evergreen Acceleration support)

  + Thierry Vignaud <tv@mandriva.org>
    - require xorg server with proper ABI
    - new snapshot
    - KMS aware snapshot
    - branch
    - new release
    - new release
    - new release
    - improved description
    - add missing dot at end of description
    - improved summary
    - new release
    - kill re-definition of %%buildroot on Pixel's request
    - patch 1: more git fixes (fixing fd.o #12770 regarding LCD monitor detection on xpress 200)
    - patch 1: git fixes (fixing fd.o #12770 regarding CRT monitor detection on xpress 200)
    - new release
    - kill old patch 0
    - new release
    - explicitely conflicts with x11-driver-video-ati_6.7
    - do not harcode man pages extension
    - reupload stable driver
    - restore stable 6.6.3 driver

  + Paulo Ricardo Zanoni <pzanoni@mandriva.com>
    - New git snapshot with improved evergreen support
    - New version: 6.12.99-0.20100202

  + Ander Conselvan de Oliveira <ander@mandriva.com>
    - Change default acceleration method to EXA.
    - Sync with 6.12-branch
    - Fix dual head cursor corruption (mdv #50560)
    - New version 6.12.2
    - New version 6.12.1
    - New version 6.11.0
    - use %%configure2_5x instead of %%configure to silence ./configure warnings
    - New version
    - Add suggests tag for r128 and mach64 to avoid backporting issues. (#41710)

  + Olivier Blin <oblin@mandriva.com>
    - 6.12.0

  + Colin Guthrie <cguthrie@mandriva.org>
    - Rebuild for new xserver

  + Adam Williamson <awilliamson@mandriva.org>
    - rebuild for new X server
    - drop git.diff (came from git so will be in this new version)
    - new release 6.7.196

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Attempt fix for bugs:
      o X hangs at startup with ati driver (http://qa.mandriva.com/show_bug.cgi?id=37209) and
      In this case, just used git-cherry-pick to match code in git master, where
      it has been reverted to match bios agp configuration, unless overriden
      by AgpMode option in xorg.conf.
      o X windows server will not start with new install of 2008.1 Beta 1 (http://qa.mandriva.com/show_bug.cgi?id=37292)
      Backport two commits to attempt to get a more sane output configuration,
      as the bug report shows that the driver got confused and did not understand
      that the monitor section already refered to the LVDS monitor.
    - Must be rebuilt due to an incorrect change added in previous X Server
      build. Must be rebuilt with latest X Server sdk headers.
    - Revert to use only upstream tarball and only mandatory patches.
    - Updated BuildRequires and resubmit package.
    - Update to version 6.7.197.
      Rebase mandriva git branch to xf86-video-ati-6.7.197 and remake patches
      acordingly.
    - Disable debug package.
      Update BuildRequires.
      Update to ati-6.7.197 deferred as there is no git tag for the proper version
      and signficant amount of ``compiled test-only'' commits. Need to have package
      in cooker before spending significant time on this package.
    - Fix linkage problems with -fvisibility=hidden due to symbols being accessed
      using LoaderSymbol (basically dlsym) as such symbols must be made of default
      visibility.
      Also some "janitor" work by adding prototypes to functions without prototypes,
      converting to static functions without prototype and used in a single file
      and fixing incorrect declarations and also moving some declarations to header
      files.
    - Remove -devel package as it isn't really required as it provides only 2 files
      that aren't even header files; still don't install the .la files.
      All dependency files should be stored in the x11-util-modular package as they
      are only required for the "modular" build.
    - Move .la files to new -devel package, and also add .deps files to -devel package.
    - Update ati module to use tarball from tag xf86-video-ati-6.7.196, and
      remake mandriva branches, and apply mandriva patches from that point.
      This probably won't make everybody happy, but was probably the major
      concern about the misunderstandings about the changes to Mandriva x11
      related packages.
    - Update for new policy of hidden symbols and common macros.
    - Possible fix to bugzilla #32553

  + Ademar de Souza Reis Jr <ademar@mandriva.com.br>
    - re-enable rpm debug packages support
    - minor spec cleanup
    - build against new xserver (1.4)

